
FEA 0.2                                                  FEA 0.2


NAME
        FEA -- File Extension Association launches DOS program


SYNOPSIS
        FEA [ /switch filename | /? ]
           where:
              /switch either 1..3
              filename launches its associated program
              /?  Displays help message briefly


DESCRIPTION
        FEA fires up a program related to the filename extension
        defined in its definition file FEA.INI. FEA works like the
        START in MS Windows and FreeDOS but FEA has more powerful
        features that make DOS a superior computing platform that
        other OS neglects. To learn all the powerful features, read
        this manual carefully to get the most from FEA.
        Switch:
          /1  launch the 1st program associated to the file extension
          /2  user selects the program associated to the file extension
              ESC=Abort, Enter=Confirm, SPC=Show next till end then recycle
          /3  use the default program to handle any file extension


COPYING
        FEA is an open source free software, the user is free to use,
        copy and distribute it. FEA is distributed under the terms of
        the GNU General Public License version 2.
        Read the file COPYING for details.


DECLARATION
        FEA version 0.2 was designed and programmed by BAHCL.
        BAHCL does not gurantee FEA should work in any situation.
        Do not expect FEA will not cause problems or damages.
        USE IT AT YOUR OWN RISK! No claim, no warranty, no blame
        of any loss whatsoever.


Author  BAHCL bahcl@hotmail.com
        FEA version 0.2 2007 BAHCL. All rights reserved.


Features in FEA version 0.2
        1. default program handles undefined file extension
        2. 1..10 associated programs for a filename extension
        3. prepend and append parameters to filename
        4. with manaual and definition file
        5. informative and easy to maintain
        6. distributed under GNU GPL Version 2


PACKAGE (version 0.2) FEA02.ZIP
        SOURCE\FEA\FEA.C
        SOURCE\FEA\FEA.H
        SOURCE\FEA\FEA.MAK
        SOURCE\FEA\FEA.ASM
        BIN\FEA\FEA.INI
        BIN\FEA\FEA.MAN
        BIN\FEA\FEA.EXE
        DOC\FEA\NEWS
        DOC\FEA\FEA.MAN
        DOC\FEA\COPYING


INSTALL FEA (version 0.2)

        To compile FEA you need:
        1. Borland Turbo C++ 1.01
        2. Nasm 0.98.39

        Type:
            tcc  -c fea.c
            nasm -fobj fea.asm -ofea.o
            tlink /c lib\c0s fea fea.o,fea,,lib\cs

        then place FEA.EXE, FEA.INI, FEA.MAN under a directory
        where the %PATH% is accessible.
        The FEA.INI defines the file extension and associated
        program, study the contents of FEA.INI carefully before
        making any change.


ERROR Code Description
        err01 = FEA.INI is not found with FEA.EXE or in %PATH%
        err02 = The filename specified does not exist
        err03 = No program
        err04 = Bad switch


BAHCL
