;
;  This file and its related programs are free softwares distributed
;  under the terms of GNU GPL version 2.
;
;  Assemble:
;     nasm16 -f obj fea.a  -o fea.o
;     The object file is linkable with tlink
;
; ***** Always save si,di if ever used in asm subroutine *****
;

; global = assembly language function names
        global  _kbget, _clean,_iaca
; extern = variables defined in caller C program
;
;
; Moved here from pg.h
%define BIOS_DATA_SEG 40h
%define DISP_MODE     49h
%define DISP_COLS     4Ah
%define DISP_ROWS     84h
%define CURSOR        50h
%define MAXSIZELINE   256

segment _TEXT   CLASS=CODE

;  Get keyboard scan code(AH) and char code(AL)
;  wait until a keypressed
_kbget
                xor     ax,ax
                int     16h
                ret
;
_clean
                push    bp
                mov     bp,sp
                push    si
                push    di
                mov     si,[bp+4]
@0100:
                mov     di,si
                lodsb
                cmp     al,0
                je      @0101
                cmp     al,'?'
                jne     @0100
                mov     al,[drive]
                stosb
                jmp     @0100
@0101:
                pop     di
                pop     si
                pop     bp
                ret
; DC calls
; Intra application communication area 40:F0..FF
_iaca
                push    es
                mov     ax,40h
                mov     es,ax
                mov     ax,[es:0F0h]              ; destination drive
                mov     [drive],al
                pop     es
                ret
;
segment _DATA   CLASS=DATA
drive    db    0
